%define major 4
%define libname %mklibname hyperscan %{major}
%define develname %mklibname -d hyperscan

Name:    hyperscan
Version: 5.3.0
Release: %mkrel 1
Summary: High-performance regular expression matching library
Group:   System/Libraries
License: BSD
URL:     https://www.hyperscan.io/
Source0: https://github.com/01org/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  ragel
BuildRequires:  pkgconfig(sqlite3) >= 3.0
BuildRequires:  libpcap-devel

Requires:       pcre

#package requires SSE support and fails to build on non x86_64 archs
ExclusiveArch: x86_64

%description
Hyperscan is a high-performance multiple regex matching library. It
follows the regular expression syntax of the commonly-used libpcre
library, but is a standalone library with its own C API.

Hyperscan uses hybrid automata techniques to allow simultaneous
matching of large numbers (up to tens of thousands) of regular
expressions and for the matching of regular expressions across streams
of data.

Hyperscan is typically used in a DPI library stack.

%package -n %{libname}
Group:      System/Libraries
Summary:    Dynamic libraries for the hyperscan library

%description -n %{libname}
This package provides the dynamic libraries needed for developing Hyperscan
applications.

%package -n %{develname}
Group:      Development/C
Summary:    Libraries and header files for the hyperscan library
Requires:   %{libname} = %{version}

%description -n %{develname}
This package provides the libraries, include files and other resources
needed for developing Hyperscan applications.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_AND_SHARED:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc %{_defaultdocdir}/%{name}
%doc COPYING
%doc LICENSE
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhs.pc
%{_includedir}/hs/


%changelog
* Thu Jun 11 2020 guillomovitch <guillomovitch> 5.3.0-1.mga8
+ Revision: 1592610
- new version 5.3.0

* Mon Feb 17 2020 umeabot <umeabot> 5.2.1-2.mga8
+ Revision: 1537684
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Nov 06 2019 guillomovitch <guillomovitch> 5.2.1-1.mga8
+ Revision: 1458521
- new version 5.2.1

* Sat Apr 20 2019 guillomovitch <guillomovitch> 5.1.1-1.mga7
+ Revision: 1393775
- new version 5.1.1

* Sat Feb 02 2019 guillomovitch <guillomovitch> 5.1.0-1.mga7
+ Revision: 1362404
- new version 5.1.0

* Mon Jan 28 2019 daviddavid <daviddavid> 5.0.0-3.mga7
+ Revision: 1361734
- add patch to fix build with new boost

* Sun Sep 23 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1298240
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 guillomovitch <guillomovitch> 5.0.0-1.mga7
+ Revision: 1252829
- new version 5.0.0

* Wed Jan 24 2018 guillomovitch <guillomovitch> 4.7.0-1.mga7
+ Revision: 1196767
- new version 4.7.0

* Tue Sep 26 2017 guillomovitch <guillomovitch> 4.6.0-1.mga7
+ Revision: 1159970
- new version 4.6.0

* Fri Jul 28 2017 guillomovitch <guillomovitch> 4.5.2-1.mga7
+ Revision: 1132005
- imported package hyperscan

